name: nexus_app
description: Cross-platform Flutter client for the Nexus community ecosystem.
publish_to: "none"
version: 1.0.0+12

environment:
  sdk: ">=3.4.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  http: ^1.2.2
  http_parser: ^4.0.2
  flutter_secure_storage: ^9.2.2
  web_socket_channel: ^3.0.1
  flutter_local_notifications: ^17.2.4
  file_picker: ^8.1.4
  flutter_webrtc: ^0.11.7
  shared_preferences: ^2.3.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/logo/
    - assets/ranks/
    - assets/charm/
    - assets/frames/
    - assets/gifts/
